<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEntidadTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('entidad', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('tipe_document',60);
            $table->bigInteger('ruc');
            $table->string('apaterno',60);
            $table->string('amaterno',60);
            $table->string('nombre1',60);
            $table->string('nombre2',60);            
            $table->string('nsocial',60);
            $table->string('nomenclatura',60);
            $table->string('direccion',60);
            $table->string('email',50)->unique();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('entidad');
    }
}
